# Uses of Interface
org.eclipse.emf.compare.ResourceAttachmentChange

Packages that use ResourceAttachmentChange
Package
Description
org.eclipse.emf.compare
org.eclipse.emf.compare.conflict
org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer.tree.provider
org.eclipse.emf.compare.impl
org.eclipse.emf.compare.internal.conflict
org.eclipse.emf.compare.internal.postprocessor.factories
org.eclipse.emf.compare.internal.spec
org.eclipse.emf.compare.merge
org.eclipse.emf.compare.provider.spec
org.eclipse.emf.compare.rcp.ui.internal.mergeviewer.item.impl
org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.groups.impl
org.eclipse.emf.compare.rcp.ui.internal.util
org.eclipse.emf.compare.util

## Uses of ResourceAttachmentChange in org.eclipse.emf.compare

Methods in org.eclipse.emf.compare that return ResourceAttachmentChange
Modifier and Type
Method
Description
`ResourceAttachmentChange`
CompareFactory.`createResourceAttachmentChange()`
Returns a new object of class 'Resource Attachment Change'.

## Uses of ResourceAttachmentChange in org.eclipse.emf.compare.conflict

Methods in org.eclipse.emf.compare.conflict with parameters of type ResourceAttachmentChange
Modifier and Type
Method
Description
`protected void`
DefaultConflictDetector.`checkResourceAttachmentConflict(Comparison comparison, ResourceAttachmentChange diff, Iterable<Diff> candidates)`
This will be called once for each ResourceAttachmentChange in the comparison model.
`protected void`
DefaultConflictDetector.`checkResourceAttachmentConflict(Comparison comparison, ResourceAttachmentChange diff, ReferenceChange candidate)`
This will be called from `DefaultConflictDetector.checkResourceAttachmentConflict(Comparison, ResourceAttachmentChange, Iterable)` for each ReferenceChange in the comparison model that is on the other side and that impacts the changed root.

## Uses of ResourceAttachmentChange in org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer.tree.provider

Methods in org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer.tree.provider with parameters of type ResourceAttachmentChange
Modifier and Type
Method
Description
`protected IMergeViewerItem`
TreeMergeViewerItemContentProvider.`createBasicContainer(ResourceAttachmentChange diff, IMergeViewerItem mergeViewerItem, AdapterFactory adapterFactory)`
Create an IMergeViewerItem for the parent of the given `ResourceAttachmentChange`.

## Uses of ResourceAttachmentChange in org.eclipse.emf.compare.impl

Classes in org.eclipse.emf.compare.impl that implement ResourceAttachmentChange
Modifier and Type
Class
Description
`class`
`ResourceAttachmentChangeImpl`
An implementation of the model object 'Resource Attachment Change'.
Methods in org.eclipse.emf.compare.impl that return ResourceAttachmentChange
Modifier and Type
Method
Description
`ResourceAttachmentChange`
CompareFactoryImpl.`createResourceAttachmentChange()`

## Uses of ResourceAttachmentChange in org.eclipse.emf.compare.internal.conflict

Methods in org.eclipse.emf.compare.internal.conflict with parameters of type ResourceAttachmentChange
Modifier and Type
Method
Description
`AbstractConflictSearch<? extends Diff>`
ConflictSearchFactory.`caseResourceAttachmentChange(ResourceAttachmentChange diff)`
`protected EObject`
AbstractConflictSearch.`getRelatedModelElement(ResourceAttachmentChange rac)`
Provide the model element the given diff applies to.
`protected EObject`
AbstractConflictSearch.`getValue(ResourceAttachmentChange rac)`
Provide the non-null model element the given diff applies to.
Constructors in org.eclipse.emf.compare.internal.conflict with parameters of type ResourceAttachmentChange
Modifier
Constructor
Description
``
`Add(ResourceAttachmentChange diff, ComparisonIndex index, Monitor monitor)`
Constructor.
``
`Change(ResourceAttachmentChange diff, ComparisonIndex index, Monitor monitor)`
Constructor.
``
`Delete(ResourceAttachmentChange diff, ComparisonIndex index, Monitor monitor)`
Constructor.
``
`Move(ResourceAttachmentChange diff, ComparisonIndex index, Monitor monitor)`
Constructor.

## Uses of ResourceAttachmentChange in org.eclipse.emf.compare.internal.postprocessor.factories

Methods in org.eclipse.emf.compare.internal.postprocessor.factories with parameters of type ResourceAttachmentChange
Modifier and Type
Method
Description
`protected boolean`
AbstractChangeFactory.`isRelatedToAnExtensionAdd(ResourceAttachmentChange input)`
Check if the given resource attachment change is related to a graphical add.
`protected boolean`
AbstractChangeFactory.`isRelatedToAnExtensionChange(ResourceAttachmentChange input)`
Check if the given resource attachment change is related to a graphical change.
`protected boolean`
AbstractChangeFactory.`isRelatedToAnExtensionDelete(ResourceAttachmentChange input)`
Check if the given resource attachment change is related to a graphical delete.
`protected boolean`
AbstractChangeFactory.`isRelatedToAnExtensionMove(ResourceAttachmentChange input)`
Check if the given resource attachment change is related to a graphical ;ove.

## Uses of ResourceAttachmentChange in org.eclipse.emf.compare.internal.spec

Classes in org.eclipse.emf.compare.internal.spec that implement ResourceAttachmentChange
Modifier and Type
Class
Description
`class`
`ResourceAttachmentChangeSpec`
This specialization of the `ResourceAttachmentChangeImpl` class allows us to define the derived features and operations implementations.

## Uses of ResourceAttachmentChange in org.eclipse.emf.compare.merge

Methods in org.eclipse.emf.compare.merge with parameters of type ResourceAttachmentChange
Modifier and Type
Method
Description
`protected void`
ResourceAttachmentChangeMerger.`addInTarget(ResourceAttachmentChange diff, boolean rightToLeft)`
This will be called when we need to create an element in the target side.
`protected void`
ResourceAttachmentChangeMerger.`move(ResourceAttachmentChange diff, boolean rightToLeft)`
Handle moves of `ResourceAttachmentChange`s.
`protected boolean`
ResourceAttachmentChangeMerger.`mustDelete(Resource resource, ResourceAttachmentChange diff, boolean rightToLeft)`
Deprecated.
Don't use this method.
`protected void`
ResourceAttachmentChangeMerger.`removeFromTarget(ResourceAttachmentChange diff, boolean rightToLeft)`
This will be called when we need to remove an element from the target side.

## Uses of ResourceAttachmentChange in org.eclipse.emf.compare.provider.spec

Methods in org.eclipse.emf.compare.provider.spec that return types with arguments of type ResourceAttachmentChange
Modifier and Type
Method
Description
`static final com.google.common.base.Predicate<ResourceAttachmentChange>`
MatchResourceItemProviderSpec.`uriDifferentFromAll(MatchResource matchResource)`
Predicate to check if the URI of the current attachment change is different from all the URIs of the resources matched by the given `MatchResource`.

## Uses of ResourceAttachmentChange in org.eclipse.emf.compare.rcp.ui.internal.mergeviewer.item.impl

Methods in org.eclipse.emf.compare.rcp.ui.internal.mergeviewer.item.impl with parameters of type ResourceAttachmentChange
Modifier and Type
Method
Description
`protected final IMergeViewerItem.Container`
MergeViewerItem.`createBasicContainer(ResourceAttachmentChange diff)`
Deprecated.

## Uses of ResourceAttachmentChange in org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.groups.impl

Method parameters in org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.groups.impl with type arguments of type ResourceAttachmentChange
Modifier and Type
Method
Description
`protected MatchResourceNode`
BasicDifferenceGroupImpl.`buildSubTree(MatchResource matchResource, Set<ResourceAttachmentChange> attachmentChanges)`
Build the sub tree of the given `MatchResource`.
`protected MatchResourceNode`
ByResourceGroupProvider.ResourceGroup.`buildSubTree(MatchResource matchResource, Set<ResourceAttachmentChange> attachmentChanges)`
Build the sub tree of the given `MatchResource`.

## Uses of ResourceAttachmentChange in org.eclipse.emf.compare.rcp.ui.internal.util

Methods in org.eclipse.emf.compare.rcp.ui.internal.util with parameters of type ResourceAttachmentChange
Modifier and Type
Method
Description
`static Object`
MergeViewerUtil.`getResourceAttachmentChangeValue(ResourceAttachmentChange diff, IMergeViewer.MergeViewerSide side)`
`static Object`
MergeViewerUtil.`getValueFromResourceAttachmentChange(ResourceAttachmentChange diff, Comparison comparison, IMergeViewer.MergeViewerSide side)`

## Uses of ResourceAttachmentChange in org.eclipse.emf.compare.util

Methods in org.eclipse.emf.compare.util with parameters of type ResourceAttachmentChange
Modifier and Type
Method
Description
`T`
CompareSwitch.`caseResourceAttachmentChange(ResourceAttachmentChange object)`
Returns the result of interpreting the object as an instance of 'Resource Attachment Change'.